|  | reflex::range_compare< T > Struct Template Reference updated Mon Sep 25 2023 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
reflex::range_compare< T > Struct Template Reference

Functor to define a total order on ranges (intervals) represented by pairs. More...

`#include <ranges.h>`

## Public Member Functions

bool | operator() (const std::pair< T, T > &lhs, const std::pair< T, T > &rhs) const
| Compares two ranges lhs and rhs and returns true if lhs < rhs. More...

## Detailed Description

### template<typename T>
struct reflex::range_compare< T >

Functor to define a total order on ranges (intervals) represented by pairs.

## Member Function Documentation

template<typename T >

bool reflex::range_compare< T >::operator() | ( | const std::pair< T, T > & | lhs,
|  | const std::pair< T, T > & | rhs
| ) |  | const

inline

Compares two ranges lhs and rhs and returns true if lhs < rhs.

Returns
  true if lhs < rhs.

Parameters

  lhs | LHS range to compare
  rhs | RHS range to compare

The documentation for this struct was generated from the following file:

- ranges.h